#include <stdio.h>

#include <ft2build.h>
#include FT_FREETYPE_H

#define STB_IMAGE_WRITE_IMPLEMENTATION
#include "stb_image_write.h"

int main(int argc, char **argv) {
    FT_Library library;
    FT_Face  face;
    FT_Init_FreeType(&library);
    FT_New_Face(library, "font.ttf", 0, &face);
    FT_Set_Char_Size(face, 50 * 64, 0, 72, 72);
    FT_Load_Glyph(face, 82, 0);
    FT_Render_Glyph(face->glyph, FT_RENDER_MODE_NORMAL);

    FT_Bitmap bitmap = face->glyph->bitmap;
    stbi_write_png("render.png", bitmap.width, bitmap.rows, 1, bitmap.buffer, bitmap.pitch);
}
